import { graphql } from "@/gql";
import { VenueFragment } from "@/gql/graphql";
import { getClient } from "@/app/client";
import { VenueList } from "@/components/venues/VenueList";
import Link from "next/link";
import { PageHeader } from "@/components/general/PageHeader";
import { BgPig } from "@/components/general/BgPig";
import { Accordion } from "@/components/blocks/Accordion";

export default async function Page() {
  const allVenuesQuery = graphql(`
    query allVenues {
      venues: pages(contentType: "venues.VenuePage") {
        ... on VenuePage {
          ...Venue
        }
      }
    }
  `);
  const { data, error } = await getClient().query(allVenuesQuery, {});
  const venues = (data?.venues ?? []) as VenueFragment[];

  return (
    <>
      <main className="site-main" id="main">
        <PageHeader
          heading="Utleie"
          lead="Chateau Neuf har lokaler til diverse arrangementer, og alle våre
          lokaler er tilgjengelige for utleie, både for studenter,
          utdanningsinstitusjoner og andre. Vi har blant annet huset
          Spellemannsprisen og Dalai Lama!"
        />
        <section>
          <p>Her kommer mer om utleiereglement etc.</p>
          <Accordion heading="Utleiereglement" />
          <Accordion heading="Test trekkspill" />
        </section>
        <br />
        <br />
        <VenueList heading="Våre lokaler" venues={venues} />
      </main>
      <BgPig type="key" />
    </>
  );
}
